Sortie de PrestaShop 1.7.87

Sortie de PrestaShop 1.7.8.7

La version 1.7.8.7 de PrestaShop est maintenant disponible. Cette version corrige un problème de sécurité important, lisez cet article pour plus d'informations.

L'équipe de maintenance a été informée que des acteurs malveillants exploitent une combinaison de vulnérabilités de sécurité connues et inconnues pour injecter du code malveillant dans les sites PrestaShop, ce qui leur permet d'exécuter des instructions arbitraires, et potentiellement de voler les informations de paiement des clients. Vous pouvez lire notre article dédié pour savoir ce qui se passe, comment fonctionne l'attaque et ce qu'il faut faire pour assurer la sécurité de votre magasin.

En enquêtant sur cette attaque, nous avons découvert une chaîne de vulnérabilité inconnue jusqu'alors, qui a été corrigée dans cette version. Cependant, pour le moment, nous ne pouvons pas être sûrs que c'est le seul moyen pour eux de réaliser l'attaque.

Nous vous suggérons de mettre à jour votre boutique rapidement afin de bénéficier de cette correction. N'oubliez pas de faire une sauvegarde avant de procéder à la mise à jour.

Rappel : la dernière version de la mise à jour en 1 clic est la v4.14.2 et vient d'être publiée, n'oubliez pas de la mettre à jour.

À propos du correctif de sécurité

Ce correctif de sécurité renforce le stockage du cache MySQL Smarty contre les attaques par injection de code. Lire l'avis de sécurité ici.

Remarque : cette ancienne fonctionnalité sera supprimée des futures versions de PrestaShop et est maintenue pour des raisons de rétrocompatibilité. Il est recommandé de ne pas l'activer en raison de la réduction des performances.

Nous aimerions profiter de l'occasion pour souligner une fois de plus l'importance de maintenir votre système à jour afin de protéger votre boutique contre les attaques. Cela signifie qu'il faut régulièrement mettre à jour à la fois votre logiciel PrestaShop et ses modules, ainsi que votre environnement serveur.

Remerciements

Contributeurs à la version 1.7.8.7 de PrestaShop :

  • Dominik Shaim, qui a été le premier à contacter l'équipe de sécurité et a participé à l'étude de la vulnérabilité.
  • Les mainteneurs Daniel Hlavacek et Krystian Podemski qui ont aidé à enquêter sur la vulnérabilité
  • Thomas Baccelli, mainteneur et responsable de la sécurité, a participé à la recherche de la vulnérabilité et à l'élaboration du correctif.
  • Les analystes et ingénieurs QA qui ont testé cette version et le processus de mise à niveau : Florine Hea, Sarah Cavrot, Khouloud Belguith, Hana Rebai, Marwa Chelly, Hibatallah Aouadni, Boubker Bribri et Aurélien Rita.

Merci !

Télécharger la version 1.7.8.7 de Prestashop

Si vous avez des questions ou besoin d'aide, n'hésitez pas à jeter un coup d'œil à mes offres de maintenance dédiées à PrestaShop.

Comme la version 1.7.8.7 est une mise à jour "patch" de la version 1.7.8.6, la mise à niveau à partir de n'importe quelle version 1.7.8 sera facile : les fonctionnalités fonctionneront mieux, et les modules et thèmes qui fonctionnaient bien avec la version 1.7.8.x fonctionneront tout aussi bien avec la version 1.7.8.7.

Source : https://build.prestashop.com/news/prestashop-1-7-8-7-maintenance-release/